Update atstk1002 target skeleton

This commit is contained in:
Ulf Samuelsson 2007-08-17 13:02:52 +00:00
parent 24c9802928
commit ee80e9b39b
24 changed files with 93 additions and 92 deletions

View File

@ -7,7 +7,7 @@ state.at73c213_0 {
iface MIXER
name 'Master Playback Volume'
value.0 21
value.1 20
value.1 21
}
control.2 {
comment.access 'read write'

View File

@ -2,10 +2,11 @@
127.0.1.1 stk1000.example.net stk1000
# The following lines are desirable for IPv6 capable hosts
::1 localhost
::1 ip6-localhost ip6-loopback
::1 stk1000.example.net stk1000
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts

View File

@ -1,4 +1,3 @@
ftp stream tcp nowait root.root /usr/sbin/ftpd ftpd -a
#netbios-ssn stream tcp nowait root.root /usr/sbin/smbd smbd
#netbios-ns dgram udp wait root.root /usr/sbin/nmbd nmbd
swat stream tcp nowait.400 root.root /usr/sbin/swat swat
#swat stream tcp nowait.400 root.root /usr/sbin/swat swat

View File

@ -6,7 +6,7 @@ PROGRAM=/usr/sbin/alsactl
[ -x ${PROGRAM} ] || exit 0
echo -n "Saving mixer state: "
if ${PROGRAM} store > /dev/null 2> /dev/null; then
if ${PROGRAM} store; then
echo "done"
else
echo "failed"

View File

@ -12,7 +12,7 @@ else
fi
start() {
if ${PROGRAM} "${HOST}" > /dev/null 2> /dev/null; then
if ${PROGRAM} "${HOST}"; then
echo "'${HOST}'"
else
echo "failed"

View File

@ -12,15 +12,14 @@ if [ ! -x "${FBV}" -o ! -x "${FBSET}" -o \
exit 1
fi
if ! ${FBSET} 320x240-68 > /dev/null 2> /dev/null; then
if ! ${FBSET} 320x240-68; then
echo "failed"
exit 1
fi
${FBV} ${SPLASHFILE} < /dev/null > /dev/null 2> /dev/null &
${FBV} ${SPLASHFILE} > /dev/null &
if [ $? -eq 0 ]; then
echo "loaded"
kill `pidof ${FBV}` > /dev/null 2> /dev/null
else
echo "failed"
fi

View File

@ -8,7 +8,7 @@ if [ ! -x "${SYSLOGD}" ]; then
exit 1
fi
if ${SYSLOGD} > /dev/null 2> /dev/null; then
if ${SYSLOGD}; then
echo "done"
else
echo "failed"
@ -16,7 +16,7 @@ else
fi
echo -n "Log messages to syslog: "
if echo 4 4 1 7 > /proc/sys/kernel/printk 2> /dev/null; then
if echo 4 4 1 7 > /proc/sys/kernel/printk; then
echo "done"
else
echo "failed"

View File

@ -8,7 +8,7 @@ if [ ! -x "${KLOGD}" ]; then
exit 1
fi
if ${KLOGD} > /dev/null 2> /dev/null; then
if ${KLOGD}; then
echo "done"
else
echo "failed"

View File

@ -13,7 +13,7 @@ fi
grep '^[^#]' "/etc/modules" | \
while read module args; do
[ "$module" ] || continue
if ${MODPROBE} $module $args > /dev/null 2> /dev/null; then
if ${MODPROBE} $module $args; then
echo " $module loaded"
else
echo " $module failed"

View File

@ -3,7 +3,7 @@
MOUNT=/bin/mount
echo -n "Mounting local filesystems: "
if ${MOUNT} -a > /dev/null 2> /dev/null; then
if ${MOUNT} -a; then
echo "done"
else
echo "failed"

View File

@ -3,7 +3,7 @@
IFUP=/sbin/ifup
echo -n "Network interfaces: "
if ${IFUP} -a > /dev/null 2> /dev/null; then
if ${IFUP} -a; then
echo "done"
else
echo "failed"

View File

@ -8,7 +8,7 @@ if [ ! -x "${TELNETD}" ]; then
exit 1
fi
if ${TELNETD} -l /bin/ash > /dev/null 2> /dev/null; then
if ${TELNETD} -l /bin/ash; then
echo "done"
else
echo "failed"

View File

@ -8,7 +8,7 @@ if [ ! -x "${INETD}" ]; then
exit 1
fi
if ${INETD} > /dev/null 2> /dev/null; then
if ${INETD}; then
echo "done"
else
echo "failed"

View File

@ -8,7 +8,7 @@ if [ ! -x "${HTTPD}" ]; then
exit 1
fi
if ${HTTPD} -h /www > /dev/null 2> /dev/null; then
if ${HTTPD} -h /www; then
echo "done"
else
echo "failed"

View File

@ -5,7 +5,7 @@ NTPDATE=/usr/bin/ntpdate
if [ -f /etc/default/ntpdate ]; then
. /etc/default/ntpdate
else
echo " missing /etc/default/ntpdate"
echo "WARNING: missing /etc/default/ntpdate"
exit 1
fi
@ -17,7 +17,7 @@ if [ ! -x ${NTPDATE} ]; then
exit 1
fi
if ${NTPDATE} $NTPOPTIONS $NTPSERVERS > /dev/null 2> /dev/null; then
if ${NTPDATE} $NTPOPTIONS $NTPSERVERS; then
echo "done"
else
echo "failed"

View File

@ -3,7 +3,7 @@
MOUNT=/bin/mount
echo -n "Mounting remote filesystems: "
if ${MOUNT} -t nfs -a > /dev/null 2> /dev/null; then
if ${MOUNT} -t nfs -a; then
echo "done"
else
echo "failed"

View File

@ -11,7 +11,7 @@ if [ ! -f /etc/asound.state ]; then
exit 1
fi
if ${PROGRAM} restore > /dev/null 2> /dev/null; then
if ${PROGRAM} restore; then
echo "done"
else
echo "failed"

View File

@ -9,10 +9,9 @@ if [ ! -x "${PROGRAM}" -o ! -f "${SPLASHFILE}" ]; then
exit 1
fi
${PROGRAM} ${SPLASHFILE} < /dev/null > /dev/null 2>/dev/null &
${PROGRAM} ${SPLASHFILE} > /dev/null &
if [ $? -eq 0 ]; then
echo "loaded"
kill `pidof ${PROGRAM}` > /dev/null 2> /dev/null
else
echo "failed"
fi

View File

@ -1,4 +1,4 @@
root:$1$rsjkLsTU$zdulfnYQgyKmN3e0Fiw7C1:0:0:root:/:/bin/ash
root:$1$rsjkLsTU$zdulfnYQgyKmN3e0Fiw7C1:0:0:root:/:/bin/sh
daemon:x:1:1:daemon:/usr/sbin:/bin/sh
bin:x:2:2:bin:/bin:/bin/sh
sys:x:3:3:sys:/dev:/bin/sh